GET /canvas/data_summary

braze.com

Summary: Canvas Data Analytics Summary
Operation ID: canvasDataAnalyticsSummary
Auth: unknown
Description

This endpoint allows you to export rollups of time series data for a Canvas, providing a concise summary of a Canvas' results. ### Components Used - [Canvas Identifier](https://www.braze.com/docs/api/identifier_types/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "data": { "name": (string) Canvas name, "total_stats": { "revenue": (float), "conversions": (int), "conversions_by_entry_time": (int), "entries": (int) }, "variant_stats": (optional) { "00000000-0000-0000-0000-0000000000000": (API identifier for variant) { "name": (string) name of variant, "revenue": (float), "conversions": (int), "entries": (int) }, ... (more variants) }, "step_stats": (optional) { "00000000-0000-0000-0000-0000000000000": (API identifier for step) { "name": (string) name of step, "revenue": (float), "conversions": (int), "conversions_by_entry_time": (int), "messages": { "android_push": (name of channel) [ { "sent": (int), "opens": (int), "influenced_opens": (int), "bounces": (int) ... (more stats for channel) } ], ... (more channels) } }, ... (more steps) } }, "message": (required, string) the status of the export, returns 'success' when completed without errors } ```

Parameters (7)

canvas_id (string, query, optional)

(Required) String Canvas API identifier

ending_at (string, query, optional)

(Required) DateTime (ISO 8601 string) Date on which the data export should end - defaults to time of the request

include_deleted_step_data (string, query, optional)

(Optional) Boolean Whether or not to include step stats for deleted steps (defaults to false)

include_step_breakdown (string, query, optional)

(Optional) Boolean Whether or not to include step stats (defaults to false)

include_variant_breakdown (string, query, optional)

(Optional) Boolean Whether or not to include variant stats (defaults to false)

length (string, query, optional)

(Optional) Integer Max number of days before ending_at to include in the returned series - must be between 1 and 14 inclusive (either length or starting_at required)

starting_at (string, query, optional)

(Optional) DateTime (ISO 8601 string) Date on which the data export should begin (either length or starting_at required)

No probe data for this endpoint yet.